<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a bbcode XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class BBCodeXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all available bbcode elements
	 *
	 * @var	array
	 */
	public static $bbcodeElements = array(
		'allowedchildren',
		'attributes',
		'classname',
		'htmlclose',
		'htmlopen',
		'sourcecode',
		'textclose',
		'textopen',
		'wysiwyg',
		'wysiwygicon'
	);

	/**
	 * Stores all available bbcode attributes
	 *
	 * @var	array
	 */
	public static $bbcodeAttributes = array(
		'attributes' => array(
			'html',
			'required',
			'text',
			'usetext',
			'validationpattern'
		)
	);

	/**
	 * Creates bbcode xml string
	 *
	 * Usage:
	 * BBCodeXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foobar' => array(
	 * 			'attributes' => array(
	 * 				'foo' => array(
	 * 					'required' => 1
	 * 				)
	 * 			)
	 * 			'classname' => 'FooBarBBCode',
	 * 			'htmlclose' => '</span>',
	 * 			'htmlopen' => '<span class="foobar">'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'foobaz'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML(array('item' => 'bbcode', 'xsd' => 'bbcodes'), $data, self::$bbcodeElements, $appendParentCategory, self::$bbcodeAttributes);
	}
}
?>