<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a cronjob XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class CronjobXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all available cronjob elements
	 *
	 * @var	array
	 */
	public static $cronjobElements = array(
		'active',
		'canbedisabled',
		'canbeedited',
		'classpath',
		'description',
		'execmultiple',
		'startdom',
		'startdow',
		'starthour',
		'startminute',
		'startmonth'
	);

	/**
	 * Creates cronjob xml string
	 *
	 * Usage:
	 * CronjobXMLPIP::create(array(
	 * 	'import' => array(
	 * 		array(
	 * 			'description' => 'FooBar Cronjob',
	 * 			'startminute' => '*',
	 * 			'starthour' => '*',
	 * 			'startdom' => 12,
	 * 			'startmonth' => '*',
	 * 			'startdow' => '*',
	 * 			'canbedisabled' => 1,
	 * 			'active' => 0
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		array(
	 * 			'description' => 'FooBaz Cronjob',
	 * 			'startminute' => '*',
	 * 			'starthour' => '*',
	 * 			'startdom' => 12,
	 * 			'startmonth' => '*',
	 * 			'startdow' => '*',
	 * 			'canbedisabled' => 1,
	 * 			'active' => 0
	 * 		)
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCateory = false) {
		return self::createGenericXML(array('item' => 'cronjob', 'xsd' => 'cronjobs'), $data, self::$cronjobElements, $appendParentCateory, null, true);
	}
}
?>