<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates an event listener XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class EventListenerXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all available eventlistener elements
	 *
	 * @var	array
	 */
	public static $eventListenerElements = array(
		'eventclassname',
		'eventname',
		'environment',
		'inherit',
		'listenerclassfile'
	);

	/**
	 * Creates an eventlistener xml string
	 *
	 * Usage:
	 * EventListenerXMLPIP::create(array(
	 * 	'import' => array(
	 * 		array(
	 * 			'eventclassname' => 'FooPage',
	 * 			'eventname' => 'assignVariables',
	 * 			'listenerclassfile' => 'lib/system/event/listener/FooPageListener.class.php'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		array(
	 * 			'eventclassname' => 'BarForm',
	 * 			'eventname' => 'assignVariables',
	 * 			'listenerclassfile' => 'lib/system/event/listener/BarFormListener.class.php'
	 * 		)
	 * 	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('eventlistener', $data, self::$eventListenerElements, $appendParentCategory, null, true);
	}
}
?>