<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates an feed source XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class FeedSourceXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all available feedsource elements
	 *
	 * @var	array
	 */
	public static $feedSourceElements = array(
		'cycle',
		'url'
	);

	/**
	 * Creates a feed source xml string
	 *
	 * Usage:
	 * FeedSourceXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'cycle' => 0,
	 * 			'url' => 'http://www.example.net'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 * 	)
	 * ));
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('feedsource', $data, self::$feedSourceElements, $appendParentCategory);
	}
}
?>