<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a help XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class HelpXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid help elements
	 *
	 * @var	array
	 */
	public static $helpElements = array(
		'parent',
		'refererpattern',
		'showorder'
	);

	/**
	 * Creates help xml string
	 *
	 * Usage:
	 * HelpXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'showorder' => 3
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = true) {
		return self::createGenericXML('helpitem', $data, self::$helpElements, $appendParentCategory);
	}
}
?>