<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates an pagelocation XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class PageLocationXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid pagelocation elements
	 *
	 * @var	array
	 */
	public static $pageLocationElements = array(
		'classpath',
		'pattern'
	);

	/**
	 * Creates pagelocation xml string
	 *
	 * Usage:
	 * PageLocationXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'pattern' => '(.*)'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('pagelocation', $data, self::$pageLocationElements, $appendParentCategory);
	}
}
?>