<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates an smilies XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class SmiliesXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid smiley elements
	 *
	 * @var	array
	 */
	public static $smileyElements = array(
		'path',
		'showorder',
		'title'
	);

	/**
	 * Creates smilies xml string
	 *
	 * Usage:
	 * SmiliesXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'showorder' => 15
	 * 			'title' => 'foobar'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML(array('item' => 'smiley', 'xsd' => 'smilies'), $data, self::$smileyElements, $appendParentCategory);
	}
}
?>