<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a smt XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class SmtXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid smt elements
	 *
	 * @var	array
	 */
	public static $smtElements = array(
		'classpath'
	);

	/**
	 * Creates smt xml string
	 *
	 * Usage:
	 * SmtXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'classpath' => 'foopath'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('smt', $data, self::$smtElements, $appendParentCategory);
	}
}
?>