<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a stattype XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class StatTypeXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid stattype elements
	 *
	 * @var	array
	 */
	public static $statTypeElements = array(
		'datefieldname',
		'tablename',
		'userfieldname'
	);

	/**
	 * Creates stattype xml string
	 *
	 * Usage:
	 * StatTypeXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'datefieldname' => 'date',
	 * 			'tablename' => 'awesome'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('stattype', $data, self::$statTypeElements, $appendParentCategory);
	}
}
?>