<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a styleattributes XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class StyleAttributesXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid styleattributes elements
	 *
	 * @var	array
	 */
	public static $styleAttributesElements = array(
		'name',
		'selector',
		'value'
	);

	/**
	 * Creates styleattributes xml string
	 *
	 * Usage:
	 * StyleAttributesXMLPIP::create(array(
	 * 	'import' => array(
	 * 		array(
	 * 			'name' => 'foo'
	 * 			'value' => 'bar'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		array(
	 * 			'value' => 'baz'
	 * 		)
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML(array('item' => 'attribute', 'xsd' => 'styleattributes'), $data, self::$styleAttributesElements, $appendParentCategory, null, true);
	}
}
?>