<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a taggable XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class TaggableXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid taggable elements
	 *
	 * @var	array
	 */
	public static $taggableElements = array(
		'classpath'
	);

	/**
	 * Creates taggable xml string
	 *
	 * Usage:
	 * TaggableXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'foo' => array(
	 * 			'classpath' => 'barpath'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'baz'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createGenericXML('taggable', $data, self::$taggableElements, $appendParentCategory, null, true);
	}
}
?>