<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a usercpmenu XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class UserCPMenuXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid usercpmenu elements
	 *
	 * @var	array
	 */
	public static $userCPMenuElements = array(
		'icon',
		'link',
		'options',
		'parent',
		'permissions',
		'showorder'
	);

	/**
	 * Creates usercpmenu xml string
	 *
	 * Usage:
	 * UserCPMenuXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'bar' => array(
	 * 			'icon' => 'fooM.png',
	 * 			'link' => 'index.php?page=Foo',
	 * 			'parent' => 'foo',
	 * 			'position' => 'header'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'foo.bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = true) {
		return self::createGenericXML('usercpmenuitem', $data, self::$userCPMenuElements, $appendParentCategory);
	}
}
?>