<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/AbstractXMLPIP.class.php');

/**
 * Creates a userprofilemenu XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class UserProfileXMLPIP extends AbstractXMLPIP {
	/**
	 * Stores all valid userprofilemenu elements
	 *
	 * @var	array
	 */
	public static $userProfileMenuElements = array(
		'icon',
		'link',
		'options',
		'parent',
		'permissions',
		'showorder'
	);

	/**
	 * Creates userprofilemenu xml string
	 *
	 * Usage:
	 * UserProfileMenuXMLPIP::create(array(
	 * 	'import' => array(
	 * 		'bar' => array(
	 * 			'icon' => 'fooM.png',
	 * 			'link' => 'index.php?page=Foo',
	 * 			'parent' => 'foo',
	 * 			'position' => 'header'
	 * 		)
	 * 	),
	 * 	'delete' => array(
	 * 		'foo.bar'
	 *	)
	 * ));
	 *
	 * @see	AbstractXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = true) {
		return self::createGenericXML('userprofilemenuitem', $data, self::$userProfileMenuElements, $appendParentCategory);
	}
}
?>